/* Include-Datei fr Modul MOUSE.C */

/* Mausereignisse */
#define LEFT_DOWN   0x01        /* 0000 0010 Linke Taste gedrckt    */
#define RIGHT_DOWN  0x02        /* 0000 1000 Rechte Taste gedrckt   */
#define MIDDLE_DOWN 0x04        /* 0010 0000 Mittlere Taste gedrckt  */

/* Maus-Struktur _EVENT */
typedef struct _EVENT
{
    short     x, y;
    unsigned  fsBtn;
} EVENT;

/* Form des Mauszeigers: Ein Verbund fr Grafik- und Textdarstellung */
typedef union _ZGRFORM
{
    struct
    {
        unsigned char atScreen;
        unsigned char chScreen;
        unsigned char atCursor;
        unsigned char chCursor;
    } t;
    struct
    {
        unsigned xHot, yHot;
        unsigned afsPtr[32];
    } g;
} ZGRFORM;

/* Werte fr Funktion SetZgrSicht */
typedef enum _ZGRSICHT { SHOW = 1, HIDE } ZGRSICHT;

/* Globale Mausfunktionen */
int MouseInit( void );
int GetMouseEvent( EVENT _far *pEvent );
int GetZgrPos( EVENT _far *pEvent );
int SetZgrPos( short x, short y );
int SetZgrSicht( ZGRSICHT pv );
int SetZgrForm( ZGRFORM _far *ps );
